CREATE TABLE SEMESTER (
    ID SERIAL PRIMARY KEY,
    NAME VARCHAR(60) NOT NULL,
    DEGREE VARCHAR(10) NOT NULL,
    NUMBER VARCHAR(10) NOT NULL
);

CREATE TABLE TIMESLOT (
    ID SERIAL PRIMARY KEY,
    WEEKDAY VARCHAR(20) NOT NULL,
    TIME VARCHAR(20) NOT NULL
);

ALTER TABLE LECTURE_TYPE ADD COLUMN SEMESTER_ID INTEGER;

ALTER TABLE LECTURE_TYPE
    ADD CONSTRAINT FK_SEMESTER FOREIGN KEY (SEMESTER_ID)
    REFERENCES SEMESTER(ID);